<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Input Type Submit</title>
</head>
<body>


{{if .}}
{{.}}
<main>
    <p><strong>variable names</strong> (identifiers) and <em>values</em>:</p>
    {{range $key, $value := .}}
            <p><strong>{{$key}}</strong></p>
            <ul>{{range $value}}<li><em>{{.}}</em></li>{{end}}</ul>
    {{end}}
</main>
{{end}}


<form action="/?fname=James" method="POST">
        <input type="text" name="fname" placeholder="first name" autofocus autocomplete="off">
        <input type="text" name="lname" placeholder="last name" autofocus autocomplete="off">
        <input type="submit" name="submit-btn" value="onda button">
</form>

</body>
</html>